[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomBitmap.BitmapHandleAllocated

Returns True if a handle has been allocated for the Bitmap.

## Declaration

Source position: graphics.pp line 1422

`public function TCustomBitmap.BitmapHandleAllocated: Boolean; override;`

## Description

BitmapHandleAllocated is an overridden Boolean function used to determine if a handle has been allocated for the bitmap. BitmapHandleAllocated implements the abstract virtual method defined in the ancestor class.

The return value is True when the handle in the internal shared image has a non-zero value.

BitmapHandleAllocated is used in the implementation of the MaskHandleNeeded method.

## See also

TRasterImage.BitmapHandleAllocated |  | BitmapHandleAllocated - returns True if a handle has been allocated for the Bitmap.